<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [metrics](./puppeteer.page.metrics.md)

## Page.metrics() method

<b>Signature:</b>

```typescript
metrics(): Promise<Metrics>;
```
<b>Returns:</b>

Promise&lt;[Metrics](./puppeteer.metrics.md)&gt;

Object containing metrics as key/value pairs.

- `Timestamp` : The timestamp when the metrics sample was taken.

- `Documents` : Number of documents in the page.

- `Frames` : Number of frames in the page.

- `JSEventListeners` : Number of events in the page.

- `Nodes` : Number of DOM nodes in the page.

- `LayoutCount` : Total number of full or partial page layout.

- `RecalcStyleCount` : Total number of page style recalculations.

- `LayoutDuration` : Combined durations of all page layouts.

- `RecalcStyleDuration` : Combined duration of all page style recalculations.

- `ScriptDuration` : Combined duration of JavaScript execution.

- `TaskDuration` : Combined duration of all tasks performed by the browser.

- `JSHeapUsedSize` : Used JavaScript heap size.

- `JSHeapTotalSize` : Total JavaScript heap size.

## Remarks

NOTE: All timestamps are in monotonic time: monotonically increasing time in seconds since an arbitrary point in the past.

