<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [PDFOptions](./puppeteer.pdfoptions.md)

## PDFOptions interface

Valid options to configure PDF generation via [Page.pdf()](./puppeteer.page.pdf.md).

<b>Signature:</b>

```typescript
export interface PDFOptions 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [displayHeaderFooter?](./puppeteer.pdfoptions.displayheaderfooter.md) | boolean | <i>(Optional)</i> Whether to show the header and footer. |
|  [footerTemplate?](./puppeteer.pdfoptions.footertemplate.md) | string | <i>(Optional)</i> HTML template for the print footer. Has the same constraints and support for special classes as [PDFOptions.headerTemplate](./puppeteer.pdfoptions.headertemplate.md). |
|  [format?](./puppeteer.pdfoptions.format.md) | [PaperFormat](./puppeteer.paperformat.md) | <i>(Optional)</i> |
|  [headerTemplate?](./puppeteer.pdfoptions.headertemplate.md) | string | <i>(Optional)</i> HTML template for the print header. Should be valid HTML with the following classes used to inject values into them: - <code>date</code> formatted print date- <code>title</code> document title- <code>url</code> document location- <code>pageNumber</code> current page number- <code>totalPages</code> total pages in the document |
|  [height?](./puppeteer.pdfoptions.height.md) | string \| number | <i>(Optional)</i> Sets the height of paper. You can pass in a number or a string with a unit. |
|  [landscape?](./puppeteer.pdfoptions.landscape.md) | boolean | <i>(Optional)</i> Whether to print in landscape orientation. |
|  [margin?](./puppeteer.pdfoptions.margin.md) | [PDFMargin](./puppeteer.pdfmargin.md) | <i>(Optional)</i> Set the PDF margins. |
|  [omitBackground?](./puppeteer.pdfoptions.omitbackground.md) | boolean | <i>(Optional)</i> Hides default white background and allows generating pdfs with transparency. |
|  [pageRanges?](./puppeteer.pdfoptions.pageranges.md) | string | <i>(Optional)</i> Paper ranges to print, e.g. <code>1-5, 8, 11-13</code>. |
|  [path?](./puppeteer.pdfoptions.path.md) | string | <i>(Optional)</i> The path to save the file to. |
|  [preferCSSPageSize?](./puppeteer.pdfoptions.prefercsspagesize.md) | boolean | <i>(Optional)</i> Give any CSS <code>@page</code> size declared in the page priority over what is declared in the <code>width</code> or <code>height</code> or <code>format</code> option. |
|  [printBackground?](./puppeteer.pdfoptions.printbackground.md) | boolean | <i>(Optional)</i> Set to <code>true</code> to print background graphics. |
|  [scale?](./puppeteer.pdfoptions.scale.md) | number | <i>(Optional)</i> Scales the rendering of the web page. Amount must be between <code>0.1</code> and <code>2</code>. |
|  [width?](./puppeteer.pdfoptions.width.md) | string \| number | <i>(Optional)</i> Sets the width of paper. You can pass in a number or a string with a unit. |

