<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [JSHandle](./puppeteer.jshandle.md) &gt; [getProperties](./puppeteer.jshandle.getproperties.md)

## JSHandle.getProperties() method

The method returns a map with property names as keys and JSHandle instances for the property values.

<b>Signature:</b>

```typescript
getProperties(): Promise<Map<string, JSHandle>>;
```
<b>Returns:</b>

Promise&lt;Map&lt;string, [JSHandle](./puppeteer.jshandle.md)&gt;&gt;

## Example


```js
const listHandle = await page.evaluateHandle(() => document.body.children);
const properties = await listHandle.getProperties();
const children = [];
for (const property of properties.values()) {
  const element = property.asElement();
  if (element)
    children.push(element);
}
children; // holds elementHandles to all children of document.body

```

