<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [createPDFStream](./puppeteer.page.createpdfstream.md)

## Page.createPDFStream() method

Generatees a PDF of the page with the `print` CSS media type.

<b>Signature:</b>

```typescript
createPDFStream(options?: PDFOptions): Promise<Readable>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [PDFOptions](./puppeteer.pdfoptions.md) | options for generating the PDF. |

<b>Returns:</b>

Promise&lt;Readable&gt;

## Remarks

NOTE: PDF generation is only supported in Chrome headless mode.

To generate a PDF with the `screen` media type, call [\`page.emulateMediaType('screen')\`](./puppeteer.page.emulatemediatype.md) before calling `page.pdf()`.

By default, `page.pdf()` generates a pdf with modified colors for printing. Use the [\`-webkit-print-color-adjust\`](https://developer.mozilla.org/en-US/docs/Web/CSS/-webkit-print-color-adjust) property to force rendering of exact colors.

