<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [JSHandle](./puppeteer.jshandle.md) &gt; [evaluate](./puppeteer.jshandle.evaluate.md)

## JSHandle.evaluate() method

This method passes this handle as the first argument to `pageFunction`. If `pageFunction` returns a Promise, then `handle.evaluate` would wait for the promise to resolve and return its value.

<b>Signature:</b>

```typescript
evaluate<T extends EvaluateFn<HandleObjectType>>(pageFunction: T | string, ...args: SerializableOrJSHandle[]): Promise<UnwrapPromiseLike<EvaluateFnReturnType<T>>>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  pageFunction | T \| string |  |
|  args | [SerializableOrJSHandle](./puppeteer.serializableorjshandle.md)\[\] |  |

<b>Returns:</b>

Promise&lt;[UnwrapPromiseLike](./puppeteer.unwrappromiselike.md)&lt;[EvaluateFnReturnType](./puppeteer.evaluatefnreturntype.md)&lt;T&gt;&gt;&gt;

## Example


```js
const tweetHandle = await page.$('.tweet .retweets');
expect(await tweetHandle.evaluate(node => node.innerText)).toBe('10');

```

