<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [LaunchOptions](./puppeteer.launchoptions.md)

## LaunchOptions interface

Generic launch options that can be passed when launching any browser.

<b>Signature:</b>

```typescript
export interface LaunchOptions 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [channel?](./puppeteer.launchoptions.channel.md) | [ChromeReleaseChannel](./puppeteer.chromereleasechannel.md) | <i>(Optional)</i> Chrome Release Channel |
|  [dumpio?](./puppeteer.launchoptions.dumpio.md) | boolean | <i>(Optional)</i> If true, pipes the browser process stdout and stderr to <code>process.stdout</code> and <code>process.stderr</code>. |
|  [env?](./puppeteer.launchoptions.env.md) | Record&lt;string, string \| undefined&gt; | <i>(Optional)</i> Specify environment variables that will be visible to the browser. |
|  [executablePath?](./puppeteer.launchoptions.executablepath.md) | string | <i>(Optional)</i> Path to a browser executable to use instead of the bundled Chromium. Note that Puppeteer is only guaranteed to work with the bundled Chromium, so use this setting at your own risk. |
|  [extraPrefsFirefox?](./puppeteer.launchoptions.extraprefsfirefox.md) | Record&lt;string, unknown&gt; | <i>(Optional)</i> [Additional preferences](https://searchfox.org/mozilla-release/source/modules/libpref/init/all.js) that can be passed when launching with Firefox. |
|  [handleSIGHUP?](./puppeteer.launchoptions.handlesighup.md) | boolean | <i>(Optional)</i> Close the browser process on <code>SIGHUP</code>. |
|  [handleSIGINT?](./puppeteer.launchoptions.handlesigint.md) | boolean | <i>(Optional)</i> Close the browser process on <code>Ctrl+C</code>. |
|  [handleSIGTERM?](./puppeteer.launchoptions.handlesigterm.md) | boolean | <i>(Optional)</i> Close the browser process on <code>SIGTERM</code>. |
|  [ignoreDefaultArgs?](./puppeteer.launchoptions.ignoredefaultargs.md) | boolean \| string\[\] | <i>(Optional)</i> If <code>true</code>, do not use <code>puppeteer.defaultArgs()</code> when creating a browser. If an array is provided, these args will be filtered out. Use this with care - you probably want the default arguments Puppeteer uses. |
|  [pipe?](./puppeteer.launchoptions.pipe.md) | boolean | <i>(Optional)</i> Connect to a browser over a pipe instead of a WebSocket. |
|  [product?](./puppeteer.launchoptions.product.md) | [Product](./puppeteer.product.md) | <i>(Optional)</i> Which browser to launch. |
|  [timeout?](./puppeteer.launchoptions.timeout.md) | number | <i>(Optional)</i> Maximum time in milliseconds to wait for the browser to start. Pass <code>0</code> to disable the timeout. |
|  [waitForInitialPage?](./puppeteer.launchoptions.waitforinitialpage.md) | boolean | <i>(Optional)</i> Whether to wait for the initial page to be ready. Useful when a user explicitly disables that (e.g. <code>--no-startup-window</code> for Chrome). |

