<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Puppeteer](./puppeteer.puppeteer.md) &gt; [registerCustomQueryHandler](./puppeteer.puppeteer.registercustomqueryhandler.md)

## Puppeteer.registerCustomQueryHandler() method

Registers a [custom query handler](./puppeteer.customqueryhandler.md). After registration, the handler can be used everywhere where a selector is expected by prepending the selection string with `<name>/`. The name is only allowed to consist of lower- and upper case latin letters.

<b>Signature:</b>

```typescript
registerCustomQueryHandler(name: string, queryHandler: CustomQueryHandler): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | string | The name that the custom query handler will be registered under. |
|  queryHandler | [CustomQueryHandler](./puppeteer.customqueryhandler.md) | The [custom query handler](./puppeteer.customqueryhandler.md) to register. |

<b>Returns:</b>

void

## Example


```
puppeteer.registerCustomQueryHandler('text', { … });
const aHandle = await page.$('text/…');

```

